/* everything */

:root {
    --primary-color: #aa00ff;
    --secondary-color: #007767;
    --tetriary-color: #00b9ff;

    --background-color: #222230;
    --element-color: #334;
}

* {
    margin: 0;
    gap: 0;

    transition: all 0.1s;
}

body {
    background-color: var(--background-color);
    color: white;

    font-family: "magistral", sans-serif;
}

a {
    color: inherit;
    text-decoration: none;
}
a:hover {
    transform: scale(1.1);
}

header {
    background-color: var(--element-color);
    color: #ccc;

    width: 100%;
    height: 100px;

    display: flex;
    gap: 50px;
    align-items: center;
    justify-content: center;
}
header a:hover {
    color: white;
}

.head {
    color: white;
    gap: 20px;
    display: flex;
    align-items: center;
    margin-left: 20px;
}

header img {
    width: 80px;
    height: 80px;

    border-radius: 50%;
}

header h1 {
    font-size: 220%;
}

header nav {
    margin-left: auto;
    margin-right: 50px;

    font-size: 150%;

    display: flex;
    gap: 50px;
}

#headselect {
    transform: scale(1.3);
    color: white;
}

footer {
    background-color: var(--element-color);

    width: 100%;
    height: 100px;

    display: flex;

    position: fixed;    
    bottom: 0;

    justify-content: center;
    align-items: center;
    gap: 8px;
}

footer a {
    display: flex;
    align-items: center;
    margin-right: 50px;
}

footer img {
    width: 80px;
    height: 80px;
}

.creds {
    margin-left: 50px;
    margin-right: auto;
    display: flex;
    gap: 8px;
}

/* dashboard */

.noaccess {
    display: flex;
    flex-direction: column;

    align-items: center;
    margin-top: 200px;
}
.noaccess a {
    margin-top: 30px;
    font-size: 300%;
}

.dashhead {
    background-color: var(--element-color);

    width: 50%;
    height: 80px;

    display: none;
    justify-self: center;
    margin-top: 20px;

    justify-content: center;
    align-items: center;
    gap: 30px;

    font-size: 150%;

    border: 3px solid var(--primary-color);
    border-radius: 20px;
}
#dashselected {
    text-decoration: underline;
    text-decoration-thickness: 5px;
    text-decoration-color: var(--tetriary-color);
    text-underline-offset: 25px;
}

.dashhead a:hover {
    text-decoration: underline;
    text-decoration-thickness: 5px;
    text-decoration-color: var(--secondary-color);
    text-underline-offset: 25px;
}